Support » Plugin: YITH WooCommerce Gift Cards » Plugins conflict after the last update

  • Hello there,

    I’m having an issue with the YITH Gift card plugin. The website breaks when i activate it. I have tested all the other plugins and seems like this plugin is breaking the site. Could you please help?

    The page I need help with: [log in to see the link]

Viewing 13 replies - 1 through 13 (of 13 total)
  • This plug in is checking and writing into WP database (post_meta and user table) at every second, it slow down your admin, and will make your server crashing by overloading CPU and RAM. I can only recommand you to not using it.

    You can revert to the previous version and the problem does not occur. That’s what I did.

    Thread Starter notion9

    (@notion9)

    Thanks @mindtakerminis. Where do I get the previous version?

    Nope… i’ve installed the 2.1.0 version, and problem is the same… It doesnt crash the server, but it overload CPU and RAM to 50% with thousands of queries, when it was millions on the last version.
    The back end is slown down too… So i don’t think it’s a good solution, even it’s less, but it still overload server.

    I rolled back to 2.0.16 and it still crashed my website. I have godaddy hosting.
    just trying to figure out if there is any way to recover the data.

    So I think its still crashing my server… I don’t understand the queries issue but I thought I could at least delete some information to get it back up?

    Thread Starter notion9

    (@notion9)

    I went back up to 2.0.18 but no luck. It was still crashing. I increased the memory limit in world-config define(‘WP_MEMORY_LIMIT’, ‘512M’); This seems to have worked and the site is back up. But this is only a temporary solution. We are planning to migrate to a different gift card solution. This plugin is brutal with the memory.

    Check your posts_meta table in your database. I’m wondering if you’re seeing what I’m seeing… I have over 500,000 duplicated lines from the conflict on mine. No wonder the poor thing was crashing.

    Got more than 2 millions entries here…
    After Yith declined any problem on the plugin i send them screenshots and explainations, i send screens of all ur messages too, they answer me this :

    Hi Ben,
    hope you are doing well! 😄​ 
    
    Thanks for all the help and information, we were able to see the problem and we are working to fix it as soon as possible, so in around one hour we will release a new version of the plugin including this fix, and a solution to remove the duplicated entries in the DB.
    
    We apologize for the inconvenience caused.
    
    Thank you very much for your patience, and again for your help with this, we appreciate it.
    
    Have a nice day!
    Plugin Support Fran Mendoza

    (@franmglez92)

    Hello there,
    Hope you all are doing well! 🙂

    We have released a new plugin version which fixes this problem with the database entries, so please, update to the latest version (2.2.1) and check if the problem is solved in your sites.

    We are sorry for the problems caused.

    Let us know any news, please.

    PS: If you want, you can remove all the entries with the key “_ywgc_customer_user” in the “wp_postmeta” table, to avoid any overload in your DB

    Have a nice day!

    Hi there Fran,

    I’ve installed the update 2.2.1 and have had 2 gifts cards come through from one order. Each gift card has a unique gift card code (so buy one, get one free – lol). I have reverted back to the previous working version 2.1.1.

    Another query that I have is that in the latest version the image on the gift card is no longer pulled from the WooCommerce page, so we are forced to activate the multiple gift card image setting in order to choose an image for the gift card – else the Yith Template image is used on the gift card. Is this the intention? I don’t want multiple images on the gift card page.

    Hope you have a fantastic day XXX
    Eunice

    @mindtakerminis – thank you for the link to the working version – I have reverted to 2.1.1
    All my best
    E

    Fran Mendoza (@franmglez92) thank you for the updated version (2.2.1). It worked for me and my site is up. Just wanted you to know.

    I really prefer your gift vouchers so I appreciate that you addressed the issue.

    Best to you,
    sarah

    • This reply was modified 8 months, 1 week ago by laspisa33.
Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘Plugins conflict after the last update’ is closed to new replies.